#1546 closed defect (fixed)

Coverage improvement: fifo_open

Reported by: Bharath Suri Owned by: Bharath Suri
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.10
Severity: normal Keywords:
Cc: joel.sherrill@…, jennifer.averett@…, sebastian.huber@… Blocked By:
Blocking:

Description

fifo_open @ rtems/cpukit/libfs/src/pipe/fifo.c needs to be covered. As of now, it has 1023 bytes uncovered.

Attachments (8)

patch-fifo_open.tar.gz (10.6 KB) - added by Bharath Suri on Jun 5, 2010 at 10:24:56 PM.
Contains spfifo01, spfifo02, spfifo03, spfifo04 tests for rtems/testsuites/sptests
patch-fifo_open.tar.gz.tar.gz (10.0 KB) - added by Bharath Suri on Jun 6, 2010 at 11:53:57 AM.
Contains spfifo01, spfifo02, spfifo03, spfifo04 tests for rtems/testsuites/sptests
fifo_spfifo5_6_7.tar.gz (15.2 KB) - added by Bharath Suri on Jun 16, 2010 at 5:07:13 PM.
Contains spfifo05, spfifo06, spfifo07 for rtems/testsuites/sptests/
spfifo01_2_3.tar.gz (15.9 KB) - added by Bharath Suri on Jun 24, 2010 at 7:10:11 AM.
Contains spfifo01, spfifo02 and spfifo03 for rtems/testsuites/sptests
patch-configure.ac (490 bytes) - added by Bharath Suri on Jun 24, 2010 at 7:11:34 AM.
patch for configure.ac at testsuites/sptests/
patch-Makefile.am (813 bytes) - added by Bharath Suri on Jun 24, 2010 at 7:12:27 AM.
patch for Makefile.am at testsuites/sptests/
cpukit-diff (1018 bytes) - added by Bharath Suri on Jun 24, 2010 at 7:14:37 AM.
patch @ cpukit/
ChangeLog (96.0 KB) - added by Bharath Suri on Jun 24, 2010 at 6:34:10 PM.
ChangeLog? @ testsuites/sptests

Download all attachments as: .zip

Change History (18)

Changed on Jun 5, 2010 at 10:24:56 PM by Bharath Suri

Attachment: patch-fifo_open.tar.gz added

Contains spfifo01, spfifo02, spfifo03, spfifo04 tests for rtems/testsuites/sptests

comment:1 Changed on Jun 5, 2010 at 10:27:59 PM by Bharath Suri

dependson: 1542
Status: newassigned

Changed on Jun 6, 2010 at 11:53:57 AM by Bharath Suri

Contains spfifo01, spfifo02, spfifo03, spfifo04 tests for rtems/testsuites/sptests

comment:2 Changed on Jun 6, 2010 at 11:53:57 AM by Bharath Suri

attachments.isobsolete: 01

comment:3 Changed on Jun 8, 2010 at 12:15:05 PM by Sebastian Huber

Cc: Sebastian Huber added

comment:4 Changed on Jun 11, 2010 at 1:53:12 PM by Jennifer Averett

Resolution: fixed
Status: assignedclosed, jennifer.averett@oarcorp.com

comment:5 Changed on Jun 16, 2010 at 5:01:46 PM by Bharath Suri

Resolution: fixed
Status: closedreopened

Changed on Jun 16, 2010 at 5:07:13 PM by Bharath Suri

Attachment: fifo_spfifo5_6_7.tar.gz added

Contains spfifo05, spfifo06, spfifo07 for rtems/testsuites/sptests/

Changed on Jun 24, 2010 at 7:10:11 AM by Bharath Suri

Attachment: spfifo01_2_3.tar.gz added

Contains spfifo01, spfifo02 and spfifo03 for rtems/testsuites/sptests

comment:6 Changed on Jun 24, 2010 at 7:10:11 AM by Bharath Suri

attachments.isobsolete: 01, 1

Changed on Jun 24, 2010 at 7:11:34 AM by Bharath Suri

Attachment: patch-configure.ac added

patch for configure.ac at testsuites/sptests/

Changed on Jun 24, 2010 at 7:12:27 AM by Bharath Suri

Attachment: patch-Makefile.am added

patch for Makefile.am at testsuites/sptests/

Changed on Jun 24, 2010 at 7:14:37 AM by Bharath Suri

Attachment: cpukit-diff added

patch @ cpukit/

comment:7 Changed on Jun 24, 2010 at 7:18:20 AM by Bharath Suri

dependson: 1585

Changed on Jun 24, 2010 at 6:34:10 PM by Bharath Suri

Attachment: ChangeLog added

ChangeLog? @ testsuites/sptests

comment:8 Changed on Jun 24, 2010 at 6:48:48 PM by Joel Sherrill

Resolution: fixed
Status: reopenedclosed

comment:9 Changed on Jul 8, 2010 at 8:49:56 AM by Bharath Suri

spfifo05 should not run that long.

Also,
spfifo05 from this PR is obsolete. The tests valid from this PR are spfifo01, spfifo02 and spfifo03. spfifo04 and spfifo05 in the head is from the PR 1600.

I ran it on qemu for pc386 and it was fine. In this case, the log of the run could help me have a look into it.

comment:10 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.